Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xml.serialize
Class TextSerializer

    java.lang.Object
      |
      +--weblogic.apache.xml.serialize.BaseMarkupSerializer
            |
            +--weblogic.apache.xml.serialize.TextSerializer

public class TextSerializer
extends BaseMarkupSerializer

Implements a text serializer supporting both DOM and SAX serializing. For usage instructions see `Serializer`.

If an output stream is used, the encoding is taken from the output format (defaults to `UTF-8`). If a writer is used, make sure the writer uses the same encoding (if applies) as specified in the output format.

The serializer supports both DOM and SAX. DOM serializing is done by calling `BaseMarkupSerializer.serialize(org.w3c.dom.Element)` and SAX serializing is done by firing SAX events and using the serializer as a document handler.

If an I/O exception occurs while serializing, the serializer will not throw an exception directly, but only throw it at the end of serializing (either DOM or SAX's `DocumentHandler.endDocument()`.

See Also:
  `Serializer`

Fields inherited from class weblogic.apache.xml.serialize.BaseMarkupSerializer
`_docTypePublicId, _docTypeSystemId, _encodingInfo, _format, _indenting, _prefixes, _printer, _started, fDOMError, fDOMErrorHandler, fDOMFilter, fFeatures, fStrBuffer`

Constructor Summary
`TextSerializer()` Constructs a new serializer.

Method Summary
`void` | `characters(char[] chars, int start, int length)`
`protected void` | `characters(java.lang.String text, boolean unescaped)`
`void` | `comment(char[] chars, int start, int length)`
`void` | `comment(java.lang.String text)`
`protected ElementState` | `content()`
`void` | `endElement(java.lang.String tagName)`
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String rawName)`
`void` | `endElementIO(java.lang.String tagName)`
`protected java.lang.String` | `getEntityRef(int ch)`
`void` | `processingInstructionIO(java.lang.String target, java.lang.String code)`
`protected void` | `serializeElement(org.w3c.dom.Element elem)` Called to serialize a DOM element.
`protected void` | `serializeNode(org.w3c.dom.Node node)` Serialize the DOM node.
`void` | `setOutputFormat(OutputFormat format)`
`protected void` | `startDocument(java.lang.String rootTagName)` Called to serialize the document's DOCTYPE by the root element.
`void` | `startElement(java.lang.String tagName, org.xml.sax.AttributeList attrs)`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String rawName, org.xml.sax.Attributes attrs)`

Methods inherited from class weblogic.apache.xml.serialize.BaseMarkupSerializer
`asContentHandler, asDocumentHandler, asDOMSerializer, attributeDecl, characters, elementDecl, endCDATA, endDocument, endDTD, endEntity, endNonEscaping, endPrefixMapping, endPreserving, enterElementState, externalEntityDecl, fatalError, getElementState, getPrefix, ignorableWhitespace, internalEntityDecl, isDocumentState, leaveElementState, modifyDOMError, notationDecl, prepare, printCDATAText, printDoctypeURL, printEscaped, printEscaped, printText, printText, processingInstruction, reset, serialize, serialize, serialize, serializePreRoot, setDocumentLocator, setOutputByteStream, setOutputCharStream, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startNonEscaping, startPrefixMapping, startPreserving, surrogates, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextSerializer

    public TextSerializer()

  Constructs a new serializer. The serializer cannot be used without calling `BaseMarkupSerializer.setOutputCharStream(java.io.Writer)` or `BaseMarkupSerializer.setOutputByteStream(java.io.OutputStream)` first.

Method Detail

### setOutputFormat

    public void setOutputFormat(OutputFormat format)

  Overrides:
    setOutputFormat in class BaseMarkupSerializer

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String rawName,
                             org.xml.sax.Attributes attrs)
                      throws org.xml.sax.SAXException

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String rawName)
                    throws org.xml.sax.SAXException

### startElement

    public void startElement(java.lang.String tagName,
                             org.xml.sax.AttributeList attrs)
                      throws org.xml.sax.SAXException

### endElement

    public void endElement(java.lang.String tagName)
                    throws org.xml.sax.SAXException

### endElementIO

    public void endElementIO(java.lang.String tagName)
                      throws java.io.IOException

### processingInstructionIO

    public void processingInstructionIO(java.lang.String target,
                                        java.lang.String code)
                                 throws java.io.IOException

  Overrides:
    processingInstructionIO in class BaseMarkupSerializer

### comment

    public void comment(java.lang.String text)

  Overrides:
    comment in class BaseMarkupSerializer

### comment

    public void comment(char[] chars,
                        int start,
                        int length)

  Overrides:
    comment in class BaseMarkupSerializer

### characters

    public void characters(char[] chars,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Overrides:
    characters in class BaseMarkupSerializer

### characters

    protected void characters(java.lang.String text,
                              boolean unescaped)
                       throws java.io.IOException

### startDocument

    protected void startDocument(java.lang.String rootTagName)
                          throws java.io.IOException

  Called to serialize the document's DOCTYPE by the root element.

  This method will check if it has not been called before (`BaseMarkupSerializer._started`), will serialize the document type declaration, and will serialize all pre-root comments and PIs that were accumulated in the document (see `BaseMarkupSerializer.serializePreRoot()`). Pre-root will be serialized even if this is not the first root element of the document.

### serializeElement

    protected void serializeElement(org.w3c.dom.Element elem)
                             throws java.io.IOException

  Called to serialize a DOM element. Equivalent to calling `startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`, `endElement(java.lang.String, java.lang.String, java.lang.String)` and serializing everything inbetween, but better optimized.

  Overrides:
    serializeElement in class BaseMarkupSerializer

### serializeNode

    protected void serializeNode(org.w3c.dom.Node node)
                          throws java.io.IOException

  Serialize the DOM node. This method is unique to the Text serializer.

  Parameters:
    `node` - The node to serialize
  Overrides:
    serializeNode in class BaseMarkupSerializer

### content

    protected ElementState content()

  Overrides:
    content in class BaseMarkupSerializer

### getEntityRef

    protected java.lang.String getEntityRef(int ch)

  Overrides:
    getEntityRef in class BaseMarkupSerializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD